<?php

echo '<h2>Statistiques générales</h2>';

if($grappes_check==1) {
	echo '<p class="signal">Avertissement !</p><p class="maxwidth">Vous avez activé les inscriptions par ensembles ou grappes. Par conséquent, ces statistiques regroupent à la fois les statistiques à partir des inscriptions individuelles et par classes ou groupes.</p>';
}

include('freq_stats_form.php');

echo '<h2>Du '.$affday1.' au '.$affday2.'</h2>';

echo '<p>Fréquentation totale : ';

$totalfreq_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' ".$filtre_activs.""));
if($grappes_check==1) {
	$elegrap_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND passage = '0' ".$filtre_activs."");
	while($elegrap = mysqli_fetch_assoc($elegrap_nb)) {
		$totalfreq_nb += $elegrap['nombre'];
	}
}
if($totalfreq_nb==0) {
	echo 'Aucun élève pour cette équation';
}
else {
	echo $totalfreq_nb;
	echo ' élèves.</p>';

	//récupération des niveaux et couleurs par niveau
	include('freq_stats_nivcolors.php'); 
	require_once('./include/showalltooltips.php');

	$tabWeeks = array();
	foreach (new DatePeriod($jourP1date, new DateInterval('P7D') /* pas de sept jours */, $jourP2date) as $dt) {
		$week = $dt->format('oW');
		array_push($tabWeeks, $week);
	}

	echo '<form name="statscform" method="GET" action="">
	<input type="hidden" name="page" value="stats" />
	<input type="hidden" name="stat" value="default" />
	<div class="box"><select name="s" id="statschoix">';
		$stcode = array('zero','nbperniv','percentperniv','nbperdiv','percentperdiv','nbperweek','nbperweekperniv','nbperday','nbperdayperniv','all');
		$stname = array('--Choisir les statistiques--','Nombre de visites par niveau','Pourcentage de visites par niveau','Nombre de visites par division','Pourcentage de visites par division','Nombre de visites par semaine','Nombre de visites par semaine (par niveau)','Nombre de visites par jour (- de 36)','Nombre de visites par jour et par niveau (- de 36)','Toutes ces statistiques (chargement long)');
		for($sno=0;$sno<count($stcode);$sno++) {
			if($stcode[$sno]=="nbperday"||$stcode[$sno]=='nbperdayperniv') {
				if(count($tabWeeks)<6) {
					echo '<option value="'.$stcode[$sno].'"';
					if(isset($_GET['s'])) {
						if($_GET['s']==$stcode[$sno]) {
							echo ' selected ';
						}
					}
					echo '>'.$stname[$sno].'</option>';
				}
			}
			else {
				echo '<option value="'.$stcode[$sno].'"';
				if(isset($_GET['s'])) {
					if($_GET['s']==$stcode[$sno]) {
						echo ' selected ';
					}
				}
				echo '>'.$stname[$sno].'</option>';
			}
		}
		echo '</select></div> <input type="submit" class="bouton boutfreq" value="Choisir" />
	</form>';

	echo '</article><article id="artleft" class="freqsep">';

	include('stats/freq_stats_def_div.php');

} ?>