<?php
$i=1;
foreach($tabDebniveau as $divdeb) {
	$tabDay[$i] = array();
	$nivcolor = mysqli_query($bdd,"SELECT bgcolor FROM ".$prefix."_edtnivcolor WHERE niveau = '".$divdeb."'");
	$nivcolor_info = mysqli_fetch_assoc($nivcolor);
	$tabColor[$i] = $nivcolor_info['bgcolor'];
	foreach (new DatePeriod($jourP1date, new DateInterval('P1D') /* pas d'un jour */, $jourP2date) as $dt) {
		$date = $dt->format('Y-m-d');
		$nbeleves_niv = mysqli_query($bdd,"SELECT DISTINCT freq.eleves_id FROM ".$prefix."_freq freq WHERE freq.date_freq = '".$dt->format('Y-m-d')."' AND freq.division LIKE '".$divdeb."%' ".$filtre_activs."");
		$nbeleves = mysqli_num_rows($nbeleves_niv); 
		$elediv = mysqli_num_rows(mysqli_query($bdd,"SELECT eleves_id FROM ".$prefix."_eleves WHERE division LIKE '".$divdeb."%'"));
		$prop = round(($nbeleves * 100 / $elediv),2);
		if($prop>100) { $prop = 100; }
		array_push($tabDay[$i], $prop);
	}
	$i++;
}
?>
<div id="wrapper" class="statcadre">
<canvas id="chart_propperdayperniv" class="charts" width="400" height="300"></canvas>
</div>
<script>
var ctx = document.getElementById("chart_propperdayperniv");
var myChart = new Chart(ctx, {
	type: 'bar',
	data: {
		labels: <?php echo json_encode($tabDays); ?>,
		datasets: [ 
		<?php $i=1;$j=1;
		foreach($tabDebniveau as $divdeb) { ?>
		{
			label: <?php echo json_encode($tabNiveau[$i-1]); ?>,
			data: <?php echo json_encode($tabDay[$i]); ?>,
			backgroundColor: '<?php echo $tabColor[$i] ?>',
			borderColor: '<?php echo $tabColor[$i] ?>',
			borderWidth: 1
		} <?php if($j<count($tabDebniveau)) { echo ','; } $i++; $j++;} ?> ]
	},
	options: {
		scales: {
			yAxes: [{
				ticks: {
					beginAtZero:true
				}
			}]
		},
		title: {
			display: true,
			text: 'Proportion d\'élèves par jour et par niveau (%)'
		},
		legend: {
			display:true
		},
		responsive: true,
		maintainAspectRatio: false
	}
});
</script>