<?php session_start(); ?>
<!doctype html>
<?php include('db/idl_connect.php');
if(isset($_SESSION['user_droits'])) {
	if($_SESSION['user_droits'][1]!="2")
	{
		echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
		<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />';
		$page_header = 'edit'; 
		include('include/header.php');
		echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="index.php">Accueil</a></p>';
	}
else { ?>
<html>
<head>

	<meta charset="utf-8" />
	<title>Séquences - InfodocLog</title>
	<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
	<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />
	<link rel="stylesheet" href="include/fontawesome/css/all.css">
	<script type="text/javascript" src="js/jquery-3.6.0.js"></script>
	<?php include('js/idl/seq_ajax_niveau.php'); ?>
	<script language="javascript">
		function toggleDiv(divid){
			if(document.getElementById(divid).style.display == "none"){
				document.getElementById(divid).style.display = "block";
			}else{
				document.getElementById(divid).style.display = "none";
			}
		}
	</script>
	<script language="javascript">
		function toggleModu(divid,aplus,aminus,amin2){
			if(document.getElementById(divid).style.display == "none"){
				document.getElementById(divid).style.display = "block";
				document.getElementById(aplus).style.display = "none";
				document.getElementById(aminus).style.display = "inline-block";
				document.getElementById(amin2).style.display = "none";
			}else{
				document.getElementById(divid).style.display = "none";
				document.getElementById(aplus).style.display = "inline-block";
				document.getElementById(aminus).style.display = "none";
				document.getElementById(amin2).style.display = "inline-block";
			}
		}
	</script>
	<script type="text/javascript" src="include/ckeditor/ckeditor.js"></script>
	<script type="text/javascript" src="include/ckeditor/translations/fr.js"></script>

</head>

<body>
	
	<?php $page_header = 'edit'; ?>
	<?php include('include/header.php'); ?>
	
	<section>
		<?php include('include/nav/nav_edit.php'); ?>
		<article id="art_edit">
			<?php
			if(!isset($_GET['page'])) {
				$verif_tabseq = mysqli_query($bdd,"SELECT * FROM ".$prefix."_sequences");
				$nb_seq = mysqli_num_rows($verif_tabseq);
				if($nb_seq==0) {
					echo '<h1>Séquences</h1><h2>Aucune séquence dans la base de données. <a href="edit.php?page=creation">Créer une séquence</a>.</h2>';
				}
				else {
					include('./contenu/edit_consult.php');
				}
			}
			else {
				switch($_GET['page']) {
					case'creation':
						include('./contenu/edit_crea.php');
						break;
					case'consult':
						include('./contenu/edit_consult.php');
						break;
					case'impexp':
						include('./contenu/edit_impexp.php');
						break;
				}
			}
			?>
		</article>
	
	</section>

	<footer id="foot_edit">
	<?php include('include/footer.php'); ?>
	</footer>
</body>
</html>
<?php
}
}
else {
	echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />';
	$page_header = 'edit'; 
	include('include/header.php');
	include('include/noaccess.php');
	echo '<br><a href="index.php">Accueil</a></p>';
}
?>
